Subject: Re: t5150-request-pull.sh fails on newest master in Debian

From: David Turner <[email-masked]>
Date: Fri, 04 Jul 2014 13:22:50 -0700

On Thu, 2014-07-03 at 23:55 +0200, Øyvind A. Holm wrote:
> When compiling newest master (v2.0.1-472-g6f92e5f) on Debian 7.5
> (64-bit), t5150-request-pull.sh fails when compiling with
> 
> $ make configure
> $ ./configure --prefix=/usr/local/varprg/git.master.v2.0.1-472-g6f92e5f
> $ make prefix=/usr/local/varprg/git.master.v2.0.1-472-g6f92e5f
> $ make
> $ cd t
> $ ./t5150-request-pull.sh

Are you sure you're not running under valgrind? I can reproduce the test
failures when I run under valgrind because I didn't add the right stuff
to the suppression files (patch to follow).  

I also just went ahead and got a Linode running Debian 7.5 (64-bit), and
I still can't reproduce the problem.  Do you have any additional
reproduction info that I need here?